nodes['htz.ex42-1048908'] = {
    'bundles': {
        'check-mail-received',
        'lm-sensors',
        'postgresql',
        'smartd',
        'vmhost',
    },
    'groups': {
        'debian-buster',
        'webserver',
    },
    'metadata': {
        'interfaces': {
            'enp0s31f6': {
                'ips': {
                    '94.130.52.224/26',
                    '2a01:4f8:10b:2a5f::02/64',
                    '2a01:4f8:10b:2a5f::1337/64',
                },
                'gateway4': '94.130.52.193',
                'gateway6': 'fe80::1',
            },
        },
        'check-mail-received': {
            't-online': {
                'email': 'franzi.kunsmann@t-online.de',
                'imap_host': 'secureimap.t-online.de',
                'imap_pass': bwpass.attr('t-online.de/franzi.kunsmann@t-online.de', 'imap'),
            },
        },
        'icinga_options': {
            'pretty_name': 'kunsmann.eu',
        },
        'locale': {
            'installed': {
                # legacy
                'en_DK.UTF-8',
            },
        },
        'nftables': {
            'rules': {
                'input': {
                    'libvirt': [
                        'tcp dport 53 iif virbr0 accept',
                        'udp dport 53 iif virbr0 accept',
                        'udp dport { 67, 68 } iif virbr0 accept',
                    ],
                },
                'forward': {
                    'libvirt': [
                        'iif virbr0 accept',
                        'oif virbr0 accept',
                    ],
                },
                'nat_postrouting': {
                    'oif enp0s31f6 masquerade',
                },
            },
        },
        'nginx': {
            'security.txt': {
                'contact': 'mailto:security@kunsmann.eu',
                'Encryption': 'https://franzi.business/gpg_hi-kunsmann.eu.asc',
            },
            'vhosts': {
                'dav.kunsmann.eu': {
                    'locations': {
                        '/': {
                            'redirect': 'https://radicale.franzi.business$request_uri',
                        },
                    },
                },
                'git.kunsmann.eu': {
                    'locations': {
                        '/': {
                            'redirect': 'https://git.franzi.business$request_uri',
                        },
                    },
                },
                'paste.kunsmann.eu': {
                    'locations': {
                        '/': {
                            'redirect': 'https://paste.franzi.business$request_uri',
                        },
                    },
                },
            },
            'worker_processes': 4,
        },
        'smartd': {
            'disks': {
                '/dev/nvme0',
                '/dev/nvme1',
            },
        },
        'users': {
            'kunsi': {
                'groups': [
                    'libvirt',
                ],
            },
        },
        'vm': {
            'cpu': 8,
            'ram': 64,
        },
    },
}
